diff options
author | William Hubbs <williamh@gentoo.org> | 2016-05-06 21:30:03 -0500 |
---|---|---|
committer | William Hubbs <williamh@gentoo.org> | 2016-05-06 21:32:31 -0500 |
commit | 13609ac9fd7503d4d2fdef095a9ba016436e92c8 (patch) | |
tree | ea2adb263f35d1499e9f5525d2164c93a2b64542 /app-accessibility | |
parent | dev-libs/leatherman: bup (diff) | |
download | gentoo-13609ac9fd7503d4d2fdef095a9ba016436e92c8.tar.gz gentoo-13609ac9fd7503d4d2fdef095a9ba016436e92c8.tar.bz2 gentoo-13609ac9fd7503d4d2fdef095a9ba016436e92c8.zip |
app-accessibility/espeakup: revision bump for /sbin/openrc-run migration
Package-Manager: portage-2.2.26
RepoMan-Options: --force
Diffstat (limited to 'app-accessibility')
-rw-r--r-- | app-accessibility/espeakup/espeakup-0.71-r1.ebuild | 59 | ||||
-rw-r--r-- | app-accessibility/espeakup/files/espeakup.rc | 25 |
2 files changed, 64 insertions, 20 deletions
diff --git a/app-accessibility/espeakup/espeakup-0.71-r1.ebuild b/app-accessibility/espeakup/espeakup-0.71-r1.ebuild new file mode 100644 index 000000000000..93f546ed49cc --- /dev/null +++ b/app-accessibility/espeakup/espeakup-0.71-r1.ebuild @@ -0,0 +1,59 @@ +# Copyright 1999-2016 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +EAPI=5 + +inherit linux-info + +DESCRIPTION="espeakup is a small lightweight connector for espeak and speakup" +HOMEPAGE="http://www.linux-speakup.org" +SRC_URI="mirror://gentoo/${P}.tar.bz2" + +LICENSE="GPL-3" +SLOT="0" +KEYWORDS="amd64 x86" +IUSE="" + +COMMON_DEPEND="|| ( + app-accessibility/espeak[portaudio] + app-accessibility/espeak[pulseaudio] )" +DEPEND="${COMMON_DEPEND}" +RDEPEND="${COMMON_DEPEND}" + +CONFIG_CHECK="~SPEAKUP ~SPEAKUP_SYNTH_SOFT" +ERROR_SPEAKUP="CONFIG_SPEAKUP is not enabled in this kernel!" +ERROR_SPEAKUP_SYNTH_SOFT="CONFIG_SPEAKUP_SYNTH_SOFT is not enabled in this kernel!" + +pkg_setup() { + if kernel_is -ge 2 6 37; then + check_extra_config + elif ! has_version app-accessibility/speakup; then + ewarn "Cannot find speakup on your system." + ewarn "Please upgrade your kernel to 2.6.37 or later and enable the" + ewarn "CONFIG_SPEAKUP and CONFIG_SPEAKUP_SYNTH_SOFT options" + ewarn "or install app-accessibility/speakup." + fi +} + +src_compile() { + emake || die "Compile failed." +} + +src_install() { + emake DESTDIR="${D}" install || die "Install failed." + dodoc ChangeLog README ToDo + newconfd "${FILESDIR}"/espeakup.confd espeakup + newinitd "${FILESDIR}"/espeakup.rc espeakup +} + +pkg_postinst() { + elog "To get espeakup to start automatically, it is currently recommended" + elog "that you add it to the default run level, by giving the following" + elog "command as root." + elog + elog "rc-update add espeakup default" + elog + elog "You can also set a default voice now for espeakup." + elog "See /etc/conf.d/espeakup for how to do this." +} diff --git a/app-accessibility/espeakup/files/espeakup.rc b/app-accessibility/espeakup/files/espeakup.rc index f0777e1c2f25..bdc2948eba2c 100644 --- a/app-accessibility/espeakup/files/espeakup.rc +++ b/app-accessibility/espeakup/files/espeakup.rc @@ -1,28 +1,13 @@ -#!/sbin/runscript +#!/sbin/openrc-run # Copyright 1999-2009 Gentoo Foundation # Distributed under the terms of the GNU General Public License v2 # $Id$ +command=/usr/bin/espeakup +command_args="${espeakup_opts:-${ESPEAKUP_OPTS}}" +pidfile=/run/espeakup.pid + depend() { after modules use alsasound pulseaudio } - -start() { - ebegin "Starting espeakup" - start-stop-daemon --start --exec /usr/bin/espeakup \ - -- ${ESPEAKUP_OPTS} - eend $? -} - -stop() { - ebegin "Stopping espeakup" - start-stop-daemon --stop --pidfile /var/run/espeakup.pid - eend $? -} - -restart() { - svc_stop || exit 1 - sleep 2 - svc_start || exit 1 -} |